Package org.apache.sysds.utils

# Class Statistics.LineageNGramExtension

java.lang.Object
org.apache.sysds.utils.Statistics.LineageNGramExtension

Enclosing class:
  Statistics

public static class Statistics.LineageNGramExtension extends Object

## Constructor Summary

Constructors
Constructor
Description
`LineageNGramExtension()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDataType()`
`long`
`getExecNanos()`
`Object`
`getMeta(String key)`
`String`
`getValueType()`
`void`
`setDataType(String dataType)`
`void`
`setExecNanos(long nanos)`
`void`
`setMeta(String key, Double value)`
`void`
`setValueType(String valueType)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LineageNGramExtension

public LineageNGramExtension()

## Method Details

### setDataType

public void setDataType(String dataType)

### getDataType

public String getDataType()

### setValueType

public void setValueType(String valueType)

### getValueType

public String getValueType()

### setExecNanos

public void setExecNanos(long nanos)

### getExecNanos

public long getExecNanos()

### setMeta

public void setMeta(String key, Double value)

### getMeta

public Object getMeta(String key)